apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: hgzero

bases:
  - ../../base

patches:
  # Common patches
  - path: cm-common-patch.yaml
    target:
      kind: ConfigMap
      name: common-config
  - path: secret-common-patch.yaml
    target:
      kind: Secret
      name: common-secret
  - path: ingress-patch.yaml
    target:
      kind: Ingress
      name: hgzero-ingress

  # User service patches
  - path: deployment-user-patch.yaml
    target:
      kind: Deployment
      name: user-deploy
  - path: secret-user-patch.yaml
    target:
      kind: Secret
      name: user-secret

  # Meeting service patches
  - path: deployment-meeting-patch.yaml
    target:
      kind: Deployment
      name: meeting-deploy
  - path: secret-meeting-patch.yaml
    target:
      kind: Secret
      name: meeting-secret

  # STT service patches
  - path: deployment-stt-patch.yaml
    target:
      kind: Deployment
      name: stt-deploy
  - path: secret-stt-patch.yaml
    target:
      kind: Secret
      name: stt-secret

  # AI service patches
  - path: deployment-ai-patch.yaml
    target:
      kind: Deployment
      name: ai-deploy
  - path: secret-ai-patch.yaml
    target:
      kind: Secret
      name: ai-secret

  # Notification service patches
  - path: deployment-notification-patch.yaml
    target:
      kind: Deployment
      name: notification-deploy
  - path: secret-notification-patch.yaml
    target:
      kind: Secret
      name: notification-secret

images:
  - name: user-service
    newTag: prod-latest
  - name: meeting-service
    newTag: prod-latest
  - name: stt-service
    newTag: prod-latest
  - name: ai-service
    newTag: prod-latest
  - name: notification-service
    newTag: prod-latest
